package cn.ibizlab.core.lite.service.impl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.Map;
import java.util.HashSet;
import java.util.HashMap;
import java.util.Collection;
import java.util.Objects;
import java.util.Optional;
import java.math.BigInteger;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.util.ObjectUtils;
import org.springframework.beans.factory.annotation.Value;
import cn.ibizlab.util.errors.BadRequestAlertException;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Lazy;
import cn.ibizlab.core.lite.domain.DstApp;
import cn.ibizlab.core.lite.filter.DstAppSearchContext;
import cn.ibizlab.core.lite.service.IDstAppService;

import cn.ibizlab.util.helper.CachedBeanCopier;
import cn.ibizlab.util.helper.DEFieldCacheMap;
import com.alibaba.fastjson.JSONObject;


/**
 * 实体[应用] 无存储服务对象接口实现
 */
@Slf4j
@Service
public class DstAppServiceImpl implements IDstAppService {


    @Override
    public boolean create(DstApp et) {
        //代码实现
        return true;
    }

    public void createBatch(List<DstApp> list){
    }

    @Override
    public boolean update(DstApp et) {
        //代码实现
        return true;
    }

    public void updateBatch(List<DstApp> list){
    }

    @Override
    public boolean remove(String key) {
        return true;
    }

    public void removeBatch(Collection<String> idList){
    }

    @Override
    public DstApp get(String key) {
        DstApp et = new DstApp();
        et.setId(key);
        return et;
    }

    @Override
    public DstApp getDraft(DstApp et) {
        return et;
    }

    @Override
    public boolean checkKey(DstApp et) {
        return false;
    }
    @Override
    @Transactional
    public boolean save(DstApp et) {
        //代码实现
        return true;
    }

    @Override
    public void saveBatch(List<DstApp> list) {
    }



	@Override
    public List<DstApp> selectBySystemid(String pssystemid) {
        return null;
    }

    @Override
    public void removeBySystemid(String pssystemid) {
        Set<String> delIds=new HashSet<String>();
        for(DstApp before:selectBySystemid(pssystemid)){
            delIds.add(before.getId());
        }
        if(delIds.size()>0)
            this.removeBatch(delIds);
    }



    /**
     * 查询集合 数据集
     */
    @Override
    public Page<DstApp> searchDefault(DstAppSearchContext context) {
        return new PageImpl<DstApp>(new ArrayList(),context.getPageable(),0);
    }



}


